import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { ConfigService } from '@yukawa/chain-base-angular-client';
import { Observable } from 'rxjs';
import { SessionService } from './SessionService';
import * as i0 from "@angular/core";
export declare class AuthInterceptor implements HttpInterceptor {
    private readonly _configService;
    private readonly _sessionService;
    private _refreshObservable;
    constructor(_configService: ConfigService, _sessionService: SessionService);
    intercept(request: HttpRequest<unknown>, next: HttpHandler): Observable<HttpEvent<unknown>>;
    private handle;
    private signOut;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthInterceptor>;
}
