export declare class DateUtils {
    /**
     * Some browsers cannot handle Dateformat dd-mm-yyyy. This function converts to
     * dd/mm/yyyy (Safari requires this format for some reason) and fixes timezone offset
     *
     * @param date Date string that should be parsed
     */
    static parseDateString(date: string): Date;
}
