import { Injector } from '@angular/core';
import { ObjectModel, ServiceBase } from '@yukawa/chain-base-angular-client';
import { Observable } from 'rxjs';
import { AuthToken } from '../../model/auth';
import { ChangePassword, Credentials, UserInfo } from '../../model/user';
import { IUserService } from './IUserService';
import * as i0 from "@angular/core";
export declare class UserDesignService extends ServiceBase<ObjectModel> implements IUserService {
    private _injector;
    constructor(_injector: Injector);
    private static generateUserInfo;
    loadUser(token: AuthToken): Observable<UserInfo>;
    changePassword(credentials: Credentials): Observable<ChangePassword>;
    resetPassword(username: string): Observable<ChangePassword>;
    protected doWork(workerName: string, token?: AuthToken): Observable<ObjectModel>;
    private generateChangePassword;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserDesignService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UserDesignService>;
}
