import { EventArgs } from '@yukawa/chain-base-angular-client';
import { Nullable } from 'simplytyped';
import { Session } from './Session';
export interface ISessionChangeOptions {
    /**
     * Redirect delay in ms.
     */
    redirectDelay: number;
}
export declare class SessionChangedEventArgs extends EventArgs {
    private _session;
    private _options?;
    constructor(_session: Session, _options?: ISessionChangeOptions);
    get session(): Session;
    get options(): Nullable<ISessionChangeOptions>;
}
